Bug 181608 - udevinfo segfaults when trying to dump its db on ia64
udevinfo segfaults when trying to dump its db on ia64
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: udev (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-15 07:28 EST by Jan Lieskovsky
Modified: 2008-08-18 11:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-18 11:03:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2006-02-15 07:28:44 EST
Description of problem:

Running udevinfo -d with redirected output generates extra error output
on ia64 RHEL4AS 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. udevinfo -d > /tmp/output
2.
3.
  
Actual results:

udevinfo(8055): unaligned access to 0x6000000000019a49, ip=0x4000000000002530
udevinfo(8055): unaligned access to 0x6000000000019b51, ip=0x40000000000025e0
udevinfo(8055): unaligned access to 0x6000000000019c59, ip=0x4000000000002611
udevinfo(8055): unaligned access to 0x6000000000019c5c, ip=0x4000000000002611


Expected results:

udevinfo dumps the db without segmentation

Additional info:
Comment 1 Harald Hoyer 2006-02-15 07:44:08 EST
Could you please start this with gdb and the debuginfo package installed?
Comment 2 Jan Lieskovsky 2006-02-15 11:17:03 EST
strace udevinfo -d > /tmp/output:

open("/dev/.udev.tdb", O_RDONLY)        = 3
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
read(3, "TDB file\n\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 168) = 168
fstat(3, {st_mode=S_IFREG|0644, st_size=163840, ...}) = 0
mmap(NULL, 163840, PROT_READ, MAP_SHARED, 3, 0) = 0x2000000000400000
fstat(1, {st_mode=S_IFREG|0644, st_size=0, ...}) = 0
mmap(NULL, 65536, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2000000000428000
udevinfo(13901): unaligned access to 0x6000000000019a49, ip=0x4000000000002530
udevinfo(13901): unaligned access to 0x6000000000019b51, ip=0x40000000000025e0
udevinfo(13901): unaligned access to 0x6000000000019c59, ip=0x4000000000002611
udevinfo(13901): unaligned access to 0x6000000000019c5c, ip=0x4000000000002611
munmap(0x2000000000400000, 163840)      = 0
close(3)                                = 0
write(1, "P: /class/tty/tty53\nN: tty53\nT: "..., 14985) = 14985
munmap(0x2000000000428000, 65536)       = 0
exit_group(0)                           = ?
Process 13901 detached
Comment 3 Aron Griffis 2006-07-11 11:04:23 EDT
Jan, this looks like an unaligned access, not a segfault.  Did the program
actually segfault?
Comment 4 Phil Knirsch 2008-08-18 11:03:09 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

As this bug has been open with a request for information for an extended period of time we are going to close this bug due to inactivity. If you would like to persue this matter feel free to reopen this bug and attach the needed information.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.